@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&family=Roboto+Slab:wght@200&display=swap');
@import url('http://fonts.cdnfonts.com/css/segoe-ui-4');
@import url('http://fonts.cdnfonts.com/css/geo-sans-light');
:root {
    font-family: 'Segoe UI', sans-serif;
    --main-color: #139bda;
    --secondary-color: #0370af;
    --main-teal: #009090;
    --bright-teal: #40b0b0;
    --light-teal: #57acacdd;
    --bg-color: #737b7c40;
    --bg-color-2: #737b7c20;
    --light-grey: #aaa;
    --dark-grey: #444;
    --link-color: tomato;
    --link-color-hover: #ee8c31;
}

body {
    margin: 0;
    padding: 0;
    background: linear-gradient(0deg, var(--bg-color-2), var(--bg-color));
    height: calc(100vh - 100px);
}

a {
    color: var(--link-color);
    text-decoration: none;
    transition: all 0.2s;
}

a:hover {
    color: var(--link-color-hover);
}

h1, h2, h3, h4, h5 {
    font-weight: 100;
    font-family: 'Nunito Sans';
}

h1 {
    color: var(--main-color);
}

h2 {
    color: var(--secondary-color);
}

pre {
    background-color: #eee;
    padding: 6px;
    border-radius: 3px;
}

blockquote {
    border-left: 3px solid #3338;
    padding: 6px 10px;
    background-color: #dddd;
}

.container {
    width: 80vw;
    padding: 5px;
    background-color: #fff;
    margin: 100px auto 10px auto;
    box-shadow: 0px 0px 3px var(--light-grey);
}

.brand {
    font-family: 'GeosansLight';
    font-size: 3rem;
    text-transform: uppercase;
    margin-left: 20px;
}

#nav {
    padding: 10px;
    display: flex;
    flex-direction: row;
    box-shadow: 0px 0px 4px 1px var(--light-grey);
    background-color: #fff;
    position: fixed;
    width: 100vw;
    top: 0;
    z-index: 1000;
}

#nav>div {
    flex-grow: 1;
    display: flex;
    align-items: center;
}

#nav>div:nth-child(2) {
    justify-content: flex-end;
}

#nav a {
    font-weight: bold;
    color: #2c3e50;
}

#nav a.router-link-exact-active {
    color: #42b983;
}

.logout {
    border: 0;
    font-size: 0.95rem;
    cursor: pointer;
    background-color: #0000;
    color: var(--link-color);
    outline: none;
    margin-right: 30px;
}

.logout:hover {
    color: var(--link-color-hover);
}

.notebox {
    box-shadow: 1px 1px 4px var(--light-grey);
    padding: 20px;
}

.all-notes {
    background-color: #fff;
    padding: 5px;
    display: flex;
    flex-direction: row;
}

.all-notes>div:nth-child(1) {
    width: 22%;
    border-right: 1px solid #8881;
}

.all-notes>div:nth-child(2) {
    width: 78%;
    height: 80vh;
    padding: 20px;
    overflow: auto;
}

.note-details h1 {
    margin-top: 0;
    color: var(--main-teal);
}

.note-details h2 {
    margin-top: 0;
    color: var(--light-teal);
}

.caption {
    font-family: "Roboto Slab";
    font-weight: 100;
    font-size: 2.8rem;
    color: var(--bright-teal) !important;
    margin: 0;
    margin-bottom: 10px;
}

.date {
    background-color: #70809020;
    font-size: 0.75rem;
    display: inline-block;
    padding: 5px;
    border-radius: 3px;
}

.short-date {
    display: inline-block;
    text-align: center;
    width: 30px;
    margin-right: 10px;
}

.short-date>div:nth-child(1) {
    font-size: 0.8rem;
    background-color: #fff;
    color: tomato;
}

.short-date>div:nth-child(2) {
    font-size: 0.6rem;
    background-color: tomato;
    color: #fff;
    text-transform: uppercase;
    padding: 2px;
}

.btn-row {
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-row button {
    margin: 5px;
}

button {
    border: 0;
    width: 120px;
    padding: 10px;
    cursor: pointer;
    color: #fff;
}

button[type=submit] {
    background-color: var(--main-teal);
}

button[type=reset] {
    background-color: var(--dark-grey);
}